---
#menus: "Home"
title: "Young Again"
date: "2024-04-09"
tags:
  - music
  - nightlife
  - society
  - culture
  - sports
draft: false
description: "Reflecting on experiences as I enter my last year of being young that made me feel much younger"
# 1. To ensure Netlify triggers a build on our exampleSite instance, we need to change a file in the exampleSite directory.
#theme_version: "2.8.2"
---

# This Time Around

> ["Io" by Hellen Stellar](https://songwhip.com/helenstellar/io)

As I wrap up my thirties and still look about half my age I'm reflecting on my life. I'm reminded of things that make me feel younger this week.

## The College Life

{{< figure src="/images/ncsubelltower1.jpeg" title="NC State Bell Tower" alt="NC State Bell Tower">}}

On Monday April 15th my partner, Amara, and I went to the NC State Wolfpack basketball celebration at the bell tower on campus. Unfortunately we didn't win either the women's nor the men's tournaments but we did make it to the Final Four with some great players, teams, and just generally wonderful people. Since those tournaments were going on at the same time in different parts of the country the teams and the school wanted to get everyone together to celebrate with each other.

{{< figure src="/images/alan-amara-ncsubelltower.jpeg" title="Alan and Amara at the NC State Bell Tower" alt="Alan and Amara at the NC State Bell Tower">}}

As a Wolfpack fan our teams sent a resounding message: "we're back!" There's a lot to be said about how the NCAA came down with sanctions on our men's basketball team in the late 1980's. We will just leave it at saying that if there were any improprieties or unethical actions in our program, I'm glad they were punished, but the punishment seemed to work too well and contributed to keeping Wolfpack basketball from the notoriety and talent we had earned. Well, no more. We're back! This season showed in many ways with both our men's and women's teams that we can go against all odds, do it with style, with skill, and with joy overflowing from our hearts.

{{< figure src="/images/djburnsjr-nando.jpeg" title="DJ Burns Jr. (c) News and Observer" alt="DJ Burns Jr. Smiling with Sunglasses Photo from News and Observer">}}

Let's focus on one of the best examples: DJ Burns Jr. This guy is wonderful. Not only is he a large presence on the court at 6'9" but he is larger than life in real life because he's always just beaming with delight. In between plays on the court he's often smiling, laughing, dancing on the sidelines. He has an infectious joy for life that you can't help but catch even just watching him on TV. It's a bit like the sanguine happiness of the fictious Ted Lasso.

"Why not us?" became our slogan on flags, banners, shirts, and chanted everywhere throughout Wolfpack nation.

> I recognize that "Why not us?" was first used by [NC Central in ESPN's docuseries The Undefeated](https://espnpressroom.com/us/press-releases/2021/02/why-not-us-north-carolina-central-university-mens-basketball-from-executive-producers-chris-paul-stephen-a-smith-to-debut-as-part-of-new-the-undefeated-on-espn/). This phrase itself isn't something that copyright law can cover as far as I'm aware since it's too generic by itself. It's why you cannot copyright a slogan like "We sell the best today" but "BestBuy" has their logo trademarked. One is just using common words, the other is using particular words/styles that are registered to only be used by the company. Anyways, I think it's always good to respect and recognize attribution and if anything else

<!-- {{< figure src="/images/bestbuylogo.png" title="BestBuy" alt="BestBuy Logo" >}} -->

Back on campus for this event I was reminded of so many wonderful times in my late teens and early twenties at college.

## Whenever I'm alone with you, you make me feel like I am young again

> ["Lovesong" by The Cure](https://songwhip.com/the-cure/lovesong2001)

I'm incredibly grateful for my partner, and the more time I spend with her we often both wish we had known each other when we were younger.

And there's just numerous reasons that we met at the perfect time and things wouldn't have been as great if her and I met in high school or college for instance.

> I wish I knew you when I was young
> We coulda got so high
> Now we're here, it's been so long
> Two strangers in the bright light
>
> ["Wish I Knew You" by The Revivalists](https://songwhip.com/the-revivalists/wish-i-knew-you)

So we'll focus for now on sharing the joys of being together now. And one of those things really reminded me of the times when I was in college since I've moved across the county to be closer to her. While setting up my new living space I've got a great sit/stand desk that I've tried to cram into a small room with some other furniture already in there. That really takes me back to the shoebox dorm room I shared with my best friend Andrew in Sullivan hall or the apartments I stayed in. Having to Tetris(🧱) the furniture and things to make it work, years before people discovered tiny houses and the art of [Marie Kondo](https://en.wikipedia.org/wiki/Marie_Kondo).

{{< figure src="/images/battlestation.jpeg" title="New Office Setup with Sit|Stand Desk" alt="New Office Setup with Sit|Stand Desk">}}

## What's My Age Again?

> ["What's my age again?" by Blink-182](https://songwhip.com/blink-182/whats-my-age-again)

Amara and I both have had some tough times and difficult challenges in our lives. That's why we often intentionally spend time doing things that may seem childish to some but bring a lot of joy to us. Beyond not apologizing, I'm going further to suggest you should try this too. There's many too many discouraging, bleak things these days to always focus on those. So I'd been thinking for a while about doing Go-Karts as a fun date and just a fun activity and ended up inviting two couples of friends to join us for a birthday party at Frankie's fun park.

{{< figure src="/images/gokarting.jpeg" title="Go Karting" alt="Go Karting">}}

We had a great time playing laser tag and even though our group didn't get to stay together we all made up the top of the leaderboard on both teams.

{{< figure src="/images/lasertagleaderboard.jpeg" title="Laser Tag Leaderboard" alt="Laser Tag Leaderboard">}}

So whatever brings you joy, life, curiousity, and wonder be sure to prioritize seeking it in your life. There's plenty of time to reflect and criticize the hardships of life, but for now we're celebrating the abounding beauty in life!

> How do you do it? You make me want to live again.
>
> ["How Do You Do?" by Hot Chip](https://songwhip.com/hot-chip/how-do-you-do)
